apiVersion: apps/v1
kind: Deployment
metadata:
  name: k8app-frontend-v2
spec:
  replicas: 1
  selector:
    matchLabels:
      app: k8app-frontend
      version: v2.0.0
  template:
    metadata:
      labels:
        app: k8app-frontend
        version: v2.0.0
        role: frontend
    spec:
      containers:
        - name: k8app-frontend
          image: dangg/k8app-frontend-image
          imagePullPolicy: Always
          ports:
          - containerPort: 80
          envFrom:
            - configMapRef:
                name: k8app-frontend-config
          env:
            - name: VERSION
              value: v2.0.0
          resources:
            limits:
              cpu: 0.2
            requests:
              cpu: 0.1 # gives 1/2 of the limit
